import React from 'react'
import styles from './Combine.less'
import { Tabs, Flex } from 'antd-mobile'
import Daily from './components/Daily'
import Url from '@/utils/Url'
import First from './components/First'
import { formatMessage } from 'umi-plugin-react/locale'
import NativeHook from '@/utils/NativeHook'

class Combine extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
      dayilyId: Url.getQueryString('dId'),
      fristId: Url.getQueryString('fId'),
      hasRecharged: 0,
      tabNum: 1
    }
  }
  componentDidMount() {
    this.getUserinfor()
  }
  //获取个人信息
  getUserinfor = () => {
    try {
      NativeHook.call.getData({
        api: '/api-app/v1/user/getProfile',
        params: {},
        isDialogShow: false
      }, (res) => {
        const { success, data } = res;
        if (success && data) {
          this.setState({ hasRecharged: data.hasRecharged, tabNum: data.hasRecharged == 0 ? 0 : 1 })
          // this.setState({ hasRecharged: 1, tabNum: data.hasRecharged == 0 ? 1 : 0 })
        }
      });
    } catch (error) {
      console.log(error);
    }
  }
  onChangeTabs = (tab, index) => {
    this.setState({ tabNum: index });
  }
  render() {
    const { hasRecharged, tabNum } = this.state;
    return (
      <div className={styles.combine}>
        <div className={hasRecharged == 0 ? styles.tab : styles.tabs}>
          <Tabs
            tabs={
              [
                { title: formatMessage({ id: 'combine.tab.first', defaultMessage: '首充福利' }) },
                { title: formatMessage({ id: 'combine.tab.daily', defaultMessage: '每日充值' }) },
              ]
            }
            page={tabNum}
            swipeable={false}
            onChange={this.onChangeTabs}
          >
            <First activityId={this.state.fristId} />
            <Daily activityId={this.state.dayilyId} />
          </Tabs>
        </div>
      </div>
    )
  }
}

export default Combine