import styles from './DailyPop.less'
import { Flex } from 'antd-mobile'
import { Fragment } from 'react'
import { formatMessage } from 'umi-plugin-react/locale';

function DailyPop(props) {

  const testLog = () => {
    console.log(props)
  }
  const { dailyRecharge, list, allReached, recentIndex } = props
  return (
    <Fragment>
      <div className={styles.mask} onClick={props.onClose}></div>
      <div className={styles.dailyPop}>
        <div className={styles.title} onClick={testLog}>{formatMessage({ id: 'daily.document.title', defaultMessage: '每日充值礼包' })}</div>
        <div className={styles.content}>
          <Flex align="center" justify="between">
            <div className="font-24">
              <span style={{ opacity: '0.5' }}>{formatMessage({ id: 'daily.today.recharge', defaultMessage: '今日已充值' })}：</span>
              <span style={{ color: '#FF4D79' }}>{dailyRecharge}</span>
              <span style={{ opacity: '0.5', marginLeft: '0.04rem' }}>{formatMessage({ id: 'yuan', defaultMessage: '元' })}</span>
            </div>
            <div className={styles['button-recharge']} onClick={props.goRecharge}>
              {formatMessage({ id: 'Top up', defaultMessage: '立即充值' })}
            </div>
          </Flex>
          <div className={styles.list}>
            {list.map((item, i) => {
              if (item.hidden) return null
              i = Number(i)
              const giftList = item.giftList || []
              const unionName = Number(item.unionName) === NaN ? 0 : Number(item.unionName)
              return (
                <div key={i} className={styles['list-item']}>
                  <Flex align="center" justify="between">
                    <div className={styles['item-title']}>
                      {i === recentIndex
                        ? formatMessage({ id: 'Next rewards bag', defaultMessage: '下一个充值礼包' })
                        : formatMessage({ id: 'daily.list.title', defaultMessage: '每日{money}元充值礼包' }, { money: item.unionName })
                      }
                    </div>
                    {i === recentIndex && (
                      <div>
                        {formatMessage({ id: 'daily.left', defaultMessage: '还差 ' })}
                        <span style={{ color: '#FF4D79' }}>{formatMessage({ id: 'daily.list.left.money', defaultMessage: '{money}元 ' }, { money: unionName - dailyRecharge })}</span>
                        {formatMessage({ id: 'more to unlock', defaultMessage: '可领取' })}
                      </div>
                    )}
                  </Flex>
                  <Flex className={styles['list-gift']}>
                    {giftList.map((gift, a) => {
                      gift.item = gift.item ? gift.item : {}
                      const iconUrl = gift.item.giftIcon || gift.item.propsIcon || gift.item.mountsPreview || gift.item.medalImage
                      const name = gift.item.giftName || gift.item.propsName || gift.item.mountsName || gift.item.medalName
                      return (
                        <div key={a} className={styles.gift}>
                          <div className={styles.tag}>{gift.quantity}</div>
                          <img alt="iconUrl" className={styles['gift-img']} src={iconUrl} />
                          <div className={`${styles['gift-name']} text-overflow-hidden`}>{name}</div>
                        </div>
                      )
                    })}
                  </Flex>
                </div>
              )
            })}
            {allReached && <div className={styles['bar-reached']}>{formatMessage({ id: 'daily.empty', defaultMessage: '恭喜您，今日礼包已全部领取！' })}</div>}
          </div>
        </div>
      </div>
    </Fragment>
  )
}

export default DailyPop