import styles from './FirstRecharge.less'
import { Flex, Tabs } from 'antd-mobile'
import { Fragment } from 'react'
import { formatMessage } from 'umi-plugin-react/locale'


function FirstRecharge(props) {

  const { list, tabName } = props
  return (
    <Fragment>

      <div className={styles.first}>
        <div className={styles.mask} onClick={props.onClose}></div>
        <div className={styles.modal}>
          <img
            className={styles['img-title']}
            src={formatMessage({ id: 'frist.modal.title.img', defaultMessage: require('@/assets/modal_title.png') })}
            onClick={() => console.log(props)}
          />
          <div className={styles.content}>
            <Tabs tabs={tabName}
              initialPage={0}
              swipeable={false}
            >
              {list.map((item, i) => {
                const giftList = item.giftList
                return (
                  <div key={i} className={styles.tabPane}>
                    <Flex align="center" className={styles.list}>
                      {giftList.map((gift, a) => {
                        gift.item = Object.prototype.toString.call(gift.item) === "[object Object]" ? gift.item : {}
                        const iconUrl = gift.item.giftIcon || gift.item.propsIcon || gift.item.mountsPreview || gift.item.medalImage
                        const name = gift.item.giftName || gift.item.propsName || gift.item.mountsName || gift.item.medalName
                        return (
                          <div key={a} className={styles.gift}>
                            <img className={styles['img-gift']} src={iconUrl} />
                            <div className={`${styles['gift-name']} text-overflow-hidden`}>{name}</div>
                            <div className={`${styles['gift-num']} text-overflow-hidden`}>x{gift.quantity}</div>
                          </div>
                        )
                      })}
                    </Flex>
                  </div>
                )
              })}
            </Tabs>
          </div>
          <div className={styles.footer}>
            <div className={styles.text}>{formatMessage({ id: 'first.notice', defaultMessage: '充值成功后，奖品自动发放到背包' })}</div>
            <div
              className={styles['button-recharge']}
              onClick={props.goRecharge}>
              {formatMessage({ id: 'Top Up', defaultMessage: '立即充值' })}
            </div>
          </div>
          <img className={styles['icon-close']} src={require('@/assets/icon-close.png')} onClick={props.onClose} />
        </div>
      </div>
    </Fragment>
  )
}

export default FirstRecharge