import React,{ Fragment } from "react";
import MyLottie from '@/components/MyLottie/MyLottie'
import styles from './GiftModal.less'
import { Flex, Modal } from 'antd-mobile'

class GiftModal extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
      showWinLottie: true
    }
  }

  //存储中奖礼花动画
  saveWinLottie(winLottie) {
    winLottie.setSpeed(2)
    let showWinLottie = false
    if (this.props.winRewards.length > 0) {
      showWinLottie = true
    }
    this.setState({ showWinLottie, winLottie }, () => {
      if (showWinLottie) {
        winLottie.play()
      }
    })
    winLottie.addEventListener('complete', () => {
      console.log('礼花--播放完毕')
      winLottie.stop()
      this.setState({ showWinLottie: false })
    })
  }

  testLog = ()=>{
    console.log(this.props)
  }

  //前往背包
  goBag = ()=> {
    this.props.goBag()
  }

  render() {
    const { visible, winRewards } = this.props
    return (
      <Fragment>
        {/* 中奖弹窗 */}
        <Modal
          className={`${styles.winModal}`}
          visible={visible}
          transparent
          maskClosable
          onClose={this.props.closeWinModal}
        >
          <MyLottie
            className={styles['lottie-winFire']}
            style={{ display: this.state.showWinLottie ? 'block' : 'none' }}
            id="winLottie"
            path='./win.json'
            saveLottie={this.saveWinLottie.bind(this)}
          />
          <div className={styles['winModal-content']}>
            <img className={styles.title} src={require('@/assets/winModal_title.png')} onClick={this.testLog}/>
            <div className="font-32 color-white">-已自动放入背包-</div>
            {/* 礼物列表 */}
            <Flex align="center" wrap="nowrap" className={styles['list-gift']} justify={winRewards.length > 2 ? 'start' : 'center'}>
              {winRewards.map((gift, i) => {
                gift.item = gift.item ? gift.item : {}
                const iconUrl = gift.item.giftIcon || gift.item.propsIcon || gift.item.mountsPreview || gift.item.medalImage
                const name = gift.item.giftName || gift.item.propsName || gift.item.mountsName || gift.item.medalName
                return (
                  <div key={i} className={styles['list-gift-item']} style={{ position: 'relative' }}>
                    <div style={{ position: 'absolute', top: 0, right: 0, bottom: 0, left: 0, opacity: 0.1, backgroundColor: '#fff', borderRadius: '0.08rem' }}></div>
                    <img className={styles['img-gift']} src={iconUrl} />
                    <div className={styles.giftName}>{name}</div>
                    <div className={styles.giftNum}>x{gift.quantity}</div>
                  </div>
                )
              })}
            </Flex>
            <div className={styles['button-modal']} onClick={this.goBag}>前往背包</div>
          </div>
        </Modal>
      </Fragment>
    )
  }
}

export default GiftModal